Bug 39805 - Boot process crashes
Boot process crashes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 01:18 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-09 01:18:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When system boots after a clean install, the system gives a boot time CRC 
error.  This also happens when booting from the boot process from the 
diskette created at install time....The install disk works fine to install 
and loads the kernel...The hardware is a 486/66 and wondering if it 
detecting a high processor and the kernel is not for the 486?


How reproducible:
Always

Steps to Reproduce:
1. Install from CD using boot floppies
2. Install with custom config/ only networked workstation selected
3. System reboots when done
	

Actual Results:  LILO boot:
Loading Linux........
Uncompressing Linux...

invalid compressed format (err=2)

-- System halted


Additional info:
Comment 1 Erik Troan 2001-05-09 08:07:16 EDT
Will you boot into rescue mode, and then run this:

	chroot /mnt/sysimage
	rpm -qa --qf '%{NAME} %{ARCH}\n' | grep kernel
	exit
	exit

and let me know what it says?
Comment 2 Need Real Name 2001-05-09 13:02:36 EDT
If I place the harddrive in another system it boots fine.  The problem appears 
to be with the difference in booting the kernel install floppy and the runtime 
kernel.
Comment 3 Need Real Name 2001-05-09 13:54:28 EDT
Says it cant chroot /mnt/sysimage
Comment 4 Erik Troan 2001-05-09 14:11:06 EDT
Sorry, I didn't realize you were running 6.2 (I gave instructions for 7.1).

You need to mount your root filesystem with a command like:

        mount /dev/hda5 /mnt/sysimage

Note that /dev/hda5 may (probably is) different for you -- the previous
instructions should work once you've done this.
Comment 5 Need Real Name 2001-05-09 14:32:08 EDT
Ahh, much better the result is.....

kernel i386
kernel-pcmcia-cs i386
kernel-utils i386
Comment 6 Arjan van de Ven 2001-05-09 15:20:31 EDT
Hrm. Sounds like you need to re-run lilo.......
Comment 7 Need Real Name 2001-05-09 15:32:41 EDT
I put the drive in another 486 and it boots fine.
Comment 8 Arjan van de Ven 2001-05-09 15:36:43 EDT
That makes it look like bad memory chips.....
Can you download the memtest86 program (search on www.freshmeat.net) and test
your ramchips ?
Comment 9 Need Real Name 2001-05-09 15:47:11 EDT
Switched the memory from the one it does boot in and same problem.  Is their a 
boot time switch I can set to see where the problem is hanging...also it 
sometimes doesn't give a crc and just reboots itself when loading the kernel.
Comment 10 Arjan van de Ven 2001-05-09 16:01:16 EDT
Unfortionatly there is no such switch as this problem hits before the first
byte of kernel-code is executed. (eg the kernel is being loaded/uncompressed
into ram)
Comment 11 Need Real Name 2001-05-10 18:04:56 EDT
Are there any other diagnostics to know why the load/uncompress fails?  It 
loads the rescue kernel and install kernel just fine so I am a little confused 
at why this doesnt work?
Comment 12 Arjan van de Ven 2001-05-11 04:48:23 EDT
The difference between the rescue/install floppy and the harddisk boot is the
bootloader: on the harddisk LILO is used, on the floppy syslinux is used.

Would it be possible to grab a later lilo and use the rescue floppy to install
that ?
Comment 13 Arjan van de Ven 2001-05-11 04:49:00 EDT
The difference between the rescue/install floppy and the harddisk boot is the
bootloader: on the harddisk LILO is used, on the floppy syslinux is used.

Would it be possible to grab a later lilo and use the rescue floppy to install
that ?
Comment 14 Bugzilla owner 2004-09-30 11:38:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.